各位画钢筋图时有什么好点的软件没有呀?
jinghao0406
2006年02月23日 15:44:34
只看楼主

想问问各位画水工钢筋图都是怎么画的,有没有好点的软件辅助设计,用cad画太费功夫了。

想问问各位画水工钢筋图都是怎么画的,有没有好点的软件辅助设计,用cad画太费功夫了。
免费打赏
id007
2006年02月23日 16:41:40
2楼
ZDM啊
回复
zhlxdyx
2006年03月13日 22:34:05
3楼
自己编的lisp程序,或许有用,源程序如下:
(defun C:GJWG (/ dpt1 dpt2 dgj bl kk jj agj dacpt1 dacpt2 uacpt1
uacpt2 zhch shch dcpt1 dcpt2 ucpt1 ucpt2 dept1 dept2 uept1 uept2
gjch zhpt1 zhpt2 xdch uaxd1 uaxd2 daxd1 daxd2 pd gg last1 last2
last3 last4 last5 last5 last6 )


(setq tucbl (getvar "clayer"));;撷取图层参数,用于恢复图层设置
(setvar "cmdecho" 0)

(setq kkk "钢筋");;转换图层至指定图层
(zhtuc kkk);;转换至指定图层函数(E:\绘图标准文件\函数库)

(setq dpt1 (osnap (getpoint "\n 请点取钢筋弯钩的第一个端点<请选择左端点>:") "endpoint"))
(setq dpt2 (osnap (getpoint "\n 请点取钢筋弯钩的第二个端点<请选择右端点>:") "endpoint"))
(setq dgj 0.60)
;;;; (setq bl (getreal "\n 请输入本施工图的比例 < 1 >: "));;禁用此行,换好的
;;;; (if (= nil bl) (setq bl 1))

(xtztbl) ;;执行自定义函数,撷取图中绘图比例

(setq kk (getstring "\n 两端都做弯钩吗?[Y or N] < Y >: "))
(if (= "" kk) (setq kk "Y"))
(setq kk (strcase kk))
(setq jj (getstring "\n 请确定弯钩的朝向[向上弯<xs>或向下弯<xx>] < XS >: "))
(if (= "" jj) (setq jj "xs"))
(setq jj (strcase jj))

(setq agj (angle dpt1 dpt2))
(setq dacpt1 (+ (* pi 3 0.5) agj))
(setq dacpt2 (+ (* pi 3 0.5) agj))
(setq uacpt1 (+ (* pi 0.5) agj))
(setq uacpt2 (+ (* pi 0.5) agj))
(setq zhch dgj)
(setq shch (* zhch bl))
(setq dcpt1 (polar dpt1 dacpt1 shch))
(setq dcpt2 (polar dpt2 dacpt2 shch))
(setq ucpt1 (polar dpt1 uacpt1 shch))
(setq ucpt2 (polar dpt2 uacpt2 shch))
(setq dept1 (polar dpt1 dacpt1 (* shch 2)))
(setq dept2 (polar dpt2 dacpt2 (* shch 2)))
(setq uept1 (polar dpt1 uacpt1 (* shch 2)))
(setq uept2 (polar dpt2 uacpt2 (* shch 2)))
(setq gjch (distance dpt1 dpt2))
(setq zhpt1 (polar dpt1 agj (/ gjch 2)))
(setq zhpt2 (polar zhpt1 uacpt1 shch))
(setq xdch (* bl 2))
(setq uaxd1 agj)
(setq uaxd2 (+ pi agj))
(setq daxd1 agj)
(setq daxd2 (+ pi agj))

(if (= kk "Y") (setq pd 1)(setq pd 2))
(while (= pd 1)
(if (= jj "XS")(setq pd 5)(setq pd 6))
(while (= pd 5)
(command "arc" "c" ucpt2 dpt2 uept2)
(setq last1 (getvar "lastpoint"))
(command "mirror" "l" "" zhpt1 zhpt2 "")
(command "line" last1 (polar last1 uaxd2 xdch) "")
(command "mirror" "l" "" zhpt1 zhpt2 "")
(setq pd 0)
)
(while (= pd 6)
(command "arc" "c" dcpt1 dpt1 dept1)
(setq last2 (getvar "lastpoint"))
(command "mirror" "l" "" zhpt1 zhpt2 "")
(command "line" last2 (polar last2 daxd1 xdch) "")
(command "mirror" "l" "" zhpt1 zhpt2 "")
(setq pd 0)
)
)
(while (= pd 2)

(setq gg (getstring "\n 请问做哪端的弯钩?(左端<L>或右端<R>) <R>: "))
(setq gg (strcase gg))
(if (= gg "L" ) (setq pd 3)(setq pd 4))
(while (= pd 3)
(if (= jj "XS")(setq pd 5)(setq pd 6))
(while (= pd 6)
(command "arc" "c" dcpt1 dpt1 dept1)
(setq last3 (getvar "lastpoint"))
(command "line" last3 (polar last3 daxd1 xdch) "")
(setq pd 0)
)
(while (= pd 5)
(command "arc" "c" ucpt2 dpt2 uept2)
(setq last4 (getvar "lastpoint"))
(command "mirror" "l" "" zhpt1 zhpt2 "y")
(command "line" last4 (polar last4 uaxd2 xdch) "")
(command "mirror" "l" "" zhpt1 zhpt2 "y")
(setq pd 0)
)
)
(while (= pd 4)
(if (= jj "XS")(setq pd 5)(setq pd 6))
(while (= pd 6)
(command "arc" "c" dcpt1 dpt1 dept1)
(setq last5 (getvar "lastpoint"))
(command "mirror" "l" "" zhpt1 zhpt2 "y")
(command "line" last5 (polar last5 daxd1 xdch) "")
(command "mirror" "l" "" zhpt1 zhpt2 "y")
(setq pd 0)
)
(while (= pd 5)
(command "arc" "c" ucpt2 dpt2 uept2)
(setq last6 (getvar "lastpoint"))
(command "line" last6 (polar last6 uaxd2 xdch) "")
(setq pd 0)
);;while pd = 5 对称括号
);; while pd =4 对称括号
)

(setvar "clayer" tucbl);;恢复原图层设置

);;;defun 函数对称括号
回复
liaozhaoda8012
2006年03月16日 16:19:34
4楼
不知到楼上的自己编的程序好用不?看起来有点复杂哦。我一般都是用ZDM和远盛水工绘图软件,感觉还不错的。当然如果单位没有这个软件就自己画也不是太难我觉得,我以前都是这么做的。
回复
zhlxdyx
2006年03月16日 16:46:49
5楼
不知道各位有没有真实表格(TRUETABLE99C)的pj啊,如果有的话请分享一下好么?邮箱:bxzcf@sohu.com
回复

相关推荐

APP内打开